std::common_reference_with(3cxx)

NAME
std::common_reference_with - [concept.commonref], concept common_reference_with

SYNOPSIS

#include <concepts>

Concept definition

template<typename _Tp, typename _Up>
concept std::common_reference_with =  same_as<common_reference_t<_Tp, _Up>, common_reference_t<_Up, _Tp>>
      && convertible_to<_Tp, common_reference_t<_Tp, _Up>>
      && convertible_to<_Up, common_reference_t<_Tp, _Up>>

Detailed Description

[concept.commonref], concept common_reference_with

Author

Generated automatically by Doxygen for libstdc++ from the source code.